.\"
.\" $FreeBSD: src/share/man/man5/fbtab.5,v 1.1.8.4 1999/09/05 11:27:06 peter Exp $
.\"
.Dd August 22, 1994
.Dt FBTAB 5
.Os FreeBSD 2.0
.Sh NAME
.Nm fbtab
.Nd change device protection upon login
.Sh DESCRIPTION
The
.Nm fbtab
file contains a number of lines specifying a device together with a list
of devices with associated protections. 
Comments start with a # and extend to the end of the line.
.Pp
Blank lines or lines with only a comment are ignored.
.Pp
All other lines consist of three fields delimited by
whitespace: a login device (/dev/ttyv0), an octal
permission number (0600), and a ":"-delimited list of
devices (/dev/console). All device names are
absolute paths. A path that ends in "/*" refers to all
directory entries except "." and "..".
.Pp
If the tty argument (relative path) matches a login device
name (absolute path), the permissions of the devices in the
":"-delimited list are set as specified in the second
field, and their ownership is changed to that of the uid
and gid arguments.
.Sh FILES
.Bl -tag -width /etc/fbtab -compact
.It Pa /etc/fbtab
The
.Nm fbtab
file resides in
.Pa /etc .
.El
.Sh SEE ALSO
.Xr login 1 ,
.Xr getty 8
.Sh AUTHORS
.An Guido van Rooij
